Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.provider
Class PresentationTableProvider

    java.lang.Object
      semorg.gui.provider.PresentationTableProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

Direct Known Subclasses:
  CompanyInternalPresentationTableProvider, PublicPresentationTableProvider

    public class PresentationTableProvider

extends Object
implements org.eclipse.jface.viewers.ITableLabelProvider

This class provides the common data attributes of the presentation items in the GUI table in the `PublicPresentationListWindow`, `CompanyInternalPresentationListWindow` and the `PresentationListWindow`.

Constructor Summary
`PresentationTableProvider()`

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener arg0)`
`void` | `dispose()`
`org.eclipse.swt.graphics.Image` | `getColumnImage(Object arg0, int arg1)`
`String` | `getColumnText(Object input, int column)` Returns for given object and column number the appropriate value from the object for the specified column.
`boolean` | `isLabelProperty(Object arg0, String arg1)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresentationTableProvider

    public PresentationTableProvider()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(Object arg0,
                                                         int arg1)

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`

### getColumnText

    public String getColumnText(Object input,
                                int column)

  Returns for given object and column number the appropriate value from the object for the specified column.

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Parameters:
    `input` - the object which contains the information
    `column` - the number of the column which should display a particular attribute of the given object.
  Returns:
    particular attribute as a String.

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener arg0)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(Object arg0,
                                   String arg1)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener arg0)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD